Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.ejb
Class GenericEnterpriseBean

    java.lang.Object
      weblogic.ejb.GenericEnterpriseBean

All Implemented Interfaces:
  EnterpriseBean, Serializable

Direct Known Subclasses:
  GenericEntityBean, GenericMessageDrivenBean, GenericSessionBean

public abstract class GenericEnterpriseBean
extends Object
implements EnterpriseBean

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`GenericEnterpriseBean()`

Method Summary
`protected Transaction` | `getCurrentTransaction()` Transaction Methods
`protected String` | `getCurrentTransactionStatus()`
`protected String` | `getCurrentXID()`
`protected Object` | `getEnvEntry(String name)`
`protected Context` | `getInitialContext()` Naming Methods
`protected TransactionManager` | `getTransactionManager()`
`protected boolean` | `isTracingEnabled()` Tracing Methods
`protected void` | `logDebugMessage(String msg)` Logging Methods
`protected void` | `logDebugMessage(String msg, Throwable th)`
`protected void` | `logErrorMessage(String msg)`
`protected void` | `logErrorMessage(String msg, Throwable th)`
`protected void` | `setTracingEnabled(boolean b)`
`protected void` | `trace(String methodName)`
`protected void` | `trace(String methodName, Object pk)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericEnterpriseBean

    public GenericEnterpriseBean()

Method Detail

### getCurrentTransaction

    protected Transaction getCurrentTransaction()

  Transaction Methods

### getCurrentTransactionStatus

    protected String getCurrentTransactionStatus()

### getCurrentXID

    protected String getCurrentXID()

### getEnvEntry

    protected Object getEnvEntry(String name)

### getInitialContext

    protected Context getInitialContext()

  Naming Methods

### getTransactionManager

    protected TransactionManager getTransactionManager()

### isTracingEnabled

    protected final boolean isTracingEnabled()

  Tracing Methods

### logDebugMessage

    protected void logDebugMessage(String msg)

  Logging Methods

### logDebugMessage

    protected void logDebugMessage(String msg,
                                   Throwable th)

### logErrorMessage

    protected void logErrorMessage(String msg)

### logErrorMessage

    protected void logErrorMessage(String msg,
                                   Throwable th)

### setTracingEnabled

    protected void setTracingEnabled(boolean b)

### trace

    protected void trace(String methodName)

### trace

    protected void trace(String methodName,
                         Object pk)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD